shishi_ticket_realm_get(3)

NAME
shishi_ticket_realm_get - API function

SYNOPSIS
#include <shishi.h>

int shishi_ticket_realm_get(Shishi * handle, Shishi_asn1 ticket, char ** realm, size_t * realmlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 ticket
    input variable with ticket info.

char ** realm
    output array with newly allocated name of realm in ticket.

size_t * realmlen
    size of output array.

DESCRIPTION
Extract realm from ticket.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.